Bug 19038 - Remove OPACShowBarcode syspref
Summary: Remove OPACShowBarcode syspref
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 16759
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 13:37 UTC by Tomás Cohen Arazi
Modified: 2017-10-25 19:52 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19038: Remove the OPACShowBarcode syspref (7.27 KB, patch)
2017-08-04 21:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 19038: Remove the OPACShowBarcode syspref (7.15 KB, patch)
2017-08-17 01:29 UTC, Dilan Johnpullé
Details | Diff | Splinter Review
Bug 19038: QA Followup - Hide barcode column by default (as syspref default is hide) (705 bytes, patch)
2017-10-24 15:20 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19038: Remove the OPACShowBarcode syspref (7.20 KB, patch)
2017-10-24 17:33 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19038: QA Followup - Hide barcode column by default (as syspref default is hide) (753 bytes, patch)
2017-10-24 17:33 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2017-08-04 13:37:13 UTC
With bug 16759 there's no need to have a syspref for hiding a specific column that doesn't contain sensitive data.
Comment 1 Tomás Cohen Arazi 2017-08-04 21:43:49 UTC
Created attachment 65518 [details] [review]
Bug 19038: Remove the OPACShowBarcode syspref

This patch removes the OPACShowBarcode syspref in favour of the new
columns settings option introduced by bug 16759.

On the upgrade step, it picks the value for OPACShowBarcode and uses it
to populate the columns_settings table.

To test:
- Verify the upgrade process maintains the current behaviour

Regards

Sponsored-by: Dover
Comment 2 Dilan Johnpullé 2017-08-17 01:29:28 UTC
Created attachment 66133 [details] [review]
Bug 19038: Remove the OPACShowBarcode syspref

Followed test plan and works as expected. Functionality of patch from bug 16759
appears intact too.

Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>
Comment 3 Nick Clemens 2017-10-24 15:20:57 UTC
Created attachment 68476 [details] [review]
Bug 19038: QA Followup - Hide barcode column by default (as syspref default is hide)
Comment 4 Nick Clemens 2017-10-24 15:23:54 UTC
I think this one is good, however, what I see is that the upgrade is odd.

If you have set columns configuration already, this won't set it regardless of syspref so if pref is set to "Don't show" and columns setting is set to show barcode then after this patch the column will show(it was hidden before)

I don't know if this matters if both bugs are pushed to same version, can you answer Tomas?
Comment 5 Tomás Cohen Arazi 2017-10-24 17:12:12 UTC
(In reply to Nick Clemens from comment #4)
> I think this one is good, however, what I see is that the upgrade is odd.
> 
> If you have set columns configuration already, this won't set it regardless
> of syspref so if pref is set to "Don't show" and columns setting is set to
> show barcode then after this patch the column will show(it was hidden before)
> 
> I don't know if this matters if both bugs are pushed to same version, can
> you answer Tomas?

This is a followup bug for 16759 and is intended to be pushed along with it. There shouldn't actually exist column settings when the upgrade is done.
Comment 6 Nick Clemens 2017-10-24 17:33:48 UTC
Created attachment 68488 [details] [review]
Bug 19038: Remove the OPACShowBarcode syspref

Followed test plan and works as expected. Functionality of patch from bug 16759
appears intact too.

Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Nick Clemens 2017-10-24 17:33:50 UTC
Created attachment 68489 [details] [review]
Bug 19038: QA Followup - Hide barcode column by default (as syspref default is hide)

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Jonathan Druart 2017-10-25 19:13:24 UTC
Dilan, please do not edit the commit message. You removed the test plan from the first patch.
Comment 9 Jonathan Druart 2017-10-25 19:52:22 UTC
Pushed to master for 17.11, thanks to everybody involved!